// הקשבה להודעות מ-background.js
chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
  if (message.action === 'playSound') {
    // יצירת אובייקט Audio עם קובץ הצליל
    const audioUrl = chrome.runtime.getURL('sounds/notification.mp3');
    const audio = new Audio(audioUrl);
    audio.volume = 0.5; // הגדרת עוצמת הצליל ל-50%
    audio.play().then(() => {
      sendResponse({ success: true });
    }).catch(error => {
      sendResponse({ success: false, error: error.message });
    });
    return true; // שמור על הערוץ פתוח עבור sendResponse
  }
});